org.eclipse.jetty.server.handler

## Class ProxyHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.eclipse.jetty.server.handler.AbstractHandlerContainer
        - - org.eclipse.jetty.server.handler.HandlerWrapper
          - - org.eclipse.jetty.server.handler.ConnectHandler
            - - org.eclipse.jetty.server.handler.ProxyHandler

All Implemented Interfaces:
  Handler, HandlerContainer, Destroyable, Dumpable, LifeCycle

Deprecated.
Use `ConnectHandler`

    public class ProxyHandler
    extends ConnectHandler

ProxyHandler.

This class has been renamed to ConnectHandler, as it only implements the CONNECT method (and a ProxyServlet must be used for full proxy handling).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.ConnectHandler

`ConnectHandler.ClientToProxyConnection, ConnectHandler.ProxyToServerConnection`

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`_handler`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`ProxyHandler()` Deprecated.
`ProxyHandler(Handler handler)` Deprecated.
`ProxyHandler(Handler handler, String[] white, String[] black)` Deprecated.
`ProxyHandler(String[] white, String[] black)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.jetty.server.handler.ConnectHandler

`addBlack, addWhite, connect, doStart, doStop, dump, getConnectTimeout, getThreadPool, getWriteTimeout, handle, handleAuthentication, handleConnect, newClientToProxyConnection, newProxyToServerConnection, prepareContext, read, set, setBlack, setConnectTimeout, setServer, setThreadPool, setWhite, setWriteTimeout, validateDestination, write`

### Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`destroy, expandChildren, getHandler, getHandlers, getNestedHandlerByClass, setHandler`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer

`expandHandler, findContainerOf, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

`dumpThis, getServer`

### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

`addBean, addBean, contains, dump, dump, dump, dump, dumpObject, dumpStdErr, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Constructor Detail

#### ProxyHandler

    public ProxyHandler()

Deprecated.

#### ProxyHandler

    public ProxyHandler(Handler handler,
                String[] white,
                String[] black)

Deprecated.

#### ProxyHandler

    public ProxyHandler(Handler handler)

Deprecated.

#### ProxyHandler

    public ProxyHandler(String[] white,
                String[] black)

Deprecated.